    /* Grundconfig */
    body,html{
        font-family: Arial, Helvetica, sans-serif;
        margin: 0px;
        padding: 0px;
        /* display: grid;
        justify-content: center; */
        overflow-x:hidden;
        background-color: rgb(241, 241, 241);
        height: 100%;
        overflow-y: auto;
    }
    h1{
        text-align: center;
        width: 100%;
    }
    p{
        margin: 0px;
    }
    a{
        color: rgb(0, 0, 83);
        text-decoration: none;
    }
    button{
        overflow-y: hidden!Important;
        overflow-x: hidden!Important;
    }
    .request a,.request a button{
        color: black;
    }
    .main{
        display: grid;
        justify-content: center;
        /* max-width: 100%; */
        /* width: auto; */
        grid-template-columns: minmax(0, 1fr);
        gap: 20px;
    }
    /* Car */
    .mainCarContent{
        display: grid;
        gap: 20px;
        grid-template-columns: minmax(0, 1fr);
    }
    .carContent {  
        background-color: white;
        /* box-shadow: 1px 5px 30px black; */
        padding: 15px;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr;
        gap: 10px;
        max-height: 250px;
        grid-auto-flow: row;
        grid-template-areas:
        "headline headline headline"
        "img details details"
        "img details details";
        transition: 0.2s;
    }
    .carContent:hover{
        background-color: #d0d0d0;
        box-shadow: 0px 0px 6px black;
        border-radius: 8px;
        cursor: pointer;
    }
    .headline { grid-area: headline; display: grid; align-content: center;}
    .img { grid-area: img; }
    .details { grid-area: details; }
    .headline h1{
        text-align: left;
        padding: 10px;
        margin: 0px;
    }
    .img{
        position: relative;
        display: grid;
        align-items: center;
    } 
    .img .orderimg{
        position: relative;
        display: grid;
    }
    .img .orderimg img{
        width: auto;
        height: auto;
        overflow: hidden;
        max-height: 100%;
        max-width: 100%;
        min-width: 100%;
    }
        /*! Details */
        .details {
            display: grid; 
            grid-template-columns: 1fr 1fr 1fr; 
            grid-template-rows: 1fr 1fr 1fr; 
            gap: 0px 0px; 
            grid-template-areas: 
            "price price status"
            "carDetails carDetails carDetails"
            "carDetails carDetails carDetails"; 
        }
        .status { grid-area: status; }
        .price { grid-area: price; }
        .carDetails { grid-area: carDetails; }
        
        .carDetails{
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            justify-items: center;
            align-items: center;
            text-align: center;
            gap: 10px;
        }
        
        .details{
            display: grid;
            align-items: center;
        }
        .status{
            font-size: 15px;
            display: grid;
            align-items: center;
        }
        .status p{
            border-left: 3px solid yellow;
            padding-left: 5px;
            font-size: 15px;
        }
        #Verfügbar{
            border-color: green;
        }
        .details .price{
            font-size: 30px;
            font-weight: 600;
        }

        .details .price p::after{
            content: " \20AC/tag";
        }
    nav{
        padding: 0px 10px;
        display: grid;
        /* grid-template-columns: 50% 50%; */
    }
    .carImgCounter{
        position: absolute;
        bottom: 0;
        right: 0;
        background: rgba(0,0,0,.5);
        padding: 0;
        color: #fff;
        font-size: 12px;
        padding: 5px 10px;
    }

    #carPrice{
        text-align: center;
    }
    .fastFilter{
        display: grid;
        grid-template-columns: minmax(0, 1fr);
        background-color: white;
        padding: 10px;
        /* box-shadow: 1px 5px 5px black; */
    }
    .manufacture select{
        width: 100%;
    }
    .categorie{
        display: grid;
        grid-template-columns: 20% 20% 20% 20% 20%;
        background: #f3f3f3;

    }
    .categorie button{
        border: 0px;
        background-color: #474848;
        margin: 0px;
    }
    .categorie .active{
        background-color: #f3f3f3;
        color: #474848;
    }
    /* FastSearch */
    .search h2{
        margin: 0px;
        padding: 0px;
    }
    #search{
        max-width: 100%;
        width: 100%;
        background-color: rgb(211, 211, 211);
        color: black;
    }
    .fastSearch{
        grid-template-columns: minmax(0, 1fr);
        display: grid;
        background-color: white;
        /* margin: 20px 0px; */
        padding: 10px;
        /* box-shadow: 1px 5px 30px black; */
        text-align: center;
        background-color: #f3f3f3;
    }
    .fastSearch input[type=submit]{
        width: 100%;
    }
    .Filterprice{
        display: grid;
        grid-template-columns: 50% 50%;
        justify-content: space-between;
    }
    .Filterprice p{
        text-align: center;
        padding-left: 5%;
    }
    .mainFast{
        max-width: 1100px;
        justify-self: center;
        min-width: 400px;
        background: black;
        box-shadow: 0px 0px 20px 4px black, 0px 0px 0px white;
        border-radius: 20px;
    }
    .btn-filter{
        padding: 8px 20px;
        border: black solid 1px;
        border-radius: 10px;
        text-align: center;
    }
    #share{
        justify-self: right;
        font-size: 20px;
    }
    #share img{
        width: 20px;
        height: 20px;
    }
    #showmore{
        border: 1px solid black;
        padding: 5px 5px;
        display: grid;
        grid-template-columns: 90% 10%;
        align-items: center;
    }
    #showmore p{
        border: 0px solid white;
        border: none;
        padding: 0px;
        background-color: transparent;
        overflow: hidden;
    }
    #desc{
        border: none;
        font-style: italic;
        color: grey;
    }

    /* Aufteilung */
    .main,
    .cars,
    .mainFast{
        padding: 0px 8px;
        max-width: 900px;
        margin-left: auto;
        margin-right: auto;
    }
    .mainContent{
        display: grid;
        grid-template-columns: 3fr 9fr;
        gap: 16px;
        margin-bottom: 40px;
    }
    /* LoadingAnimation */
    .loadingAnimation h2{
        text-align: center;
    }
    .loadingAnimation p{
        text-align: center;
        padding: 10px;
    }
    .loadingAnimation p img{
        animation: loading 1s infinite;
        height: 50px;
    }
    #mobile{
        display: block;
    }
    #mobileText{
        display: none;
    }
    #mobileNeeded{
        display: none;
    }
    .request{
        margin: 10px;
    }
    .request button{
        width: 100%;
        background-color: rgb(158, 158, 158);
        height: 50px;
        font-size: 20px;
        margin: 0px;
        border: 0px solid white;
    }
    .request button:hover{
        background-color: rgb(93, 93, 93);
    }
    .faq{
        border: 1px solid rgb(93, 93, 93);
        border-radius: 20px;
        background-color: #f3f3f3;
    }
    .faq h1{
        text-align: justify;
        padding: 10px 50px;
        font-size: 20px;
        border-top: 1px solid rgb(93, 93, 93);
        margin: 0px;
        cursor: pointer;
    }
    .faq h1:first-child{
        border-top: 0px;
    }
    .faq p{
        display: none;
        padding: 10px 50px;
        background-color: #ffff;
    }
    .mainFast{
        width: 100%;
        padding: 0px;
    }
    .manufacture{
        display: grid;
        grid-template-columns: 50% 50%;
    }
    .fastSearch,
    .manufacture,
    .Filterprice{
        gap: 4px;
    }
    .fastSearch select,
    .fastSearch input,
    .fastSearch p,
    .fastSearch button,
    #showmore{
        border-radius: 0px;
        color: black;
        padding: 5px 2px;
        font-size: 12px;
        border: 1px solid black;
        text-align: left;
        height: 30px;
        background-color: #f3f3f3;
    }
    .text p{
        height: auto;
    }
    #showmore{
        padding: 0px 10px;
    }
    .fastSearch button{
        text-align: center;
        background-color: white;
        border-radius: 10px;
    }
    .fastSearch img{
        justify-self: end;
    }
    .fastSearch p,
    .fastSearch input{
        border: 1px solid black;
        padding: 5px 5px;
    }
    input::-webkit-input-placeholder{
        color: black;
    }
    .text{
        line-height: 1.5;    
    }
    .text h2{
        font-size: 15px;
        color: grey;
        text-align: left;
        font-weight: normal;
    }
    .text p {
        color: grey;
        padding: 0px;
        border: 0px;
    }
    .selectDetails{
        display: grid;
        grid-template-columns: 50% 50%;
        padding: 10px 0px;
        border-bottom: 1px solid black;
        gap: 3px;
    }
    .detail{
        display: grid;
        grid-template-columns: 50% 50%;
        gap: 4px;
        justify-items: center;
        align-items: center;
    }
    .detail input{
        text-align: center;
        display: grid;
        min-width: 50%;
        margin: 1px 0px;
    }
    .DetailsGenommen{
        display: grid;
    }
    .DetailsGenommen h1{
        font-size: 13px;
    }
    .DetailsGenommen p{
        font-size: 10px;
        border: 0px solid white;
        border: none;
        display: grid;
        grid-template-columns: 80% 20%;
        align-items: center;
    }
    .input div{
        display: grid;
        grid-template-columns: 80% 20%;
    }
    .inputDetail input{
        float: left;
        text-align: center;

    }
    .inputDetail p{
        float: left;
        border: none;
    }
    h4{
        text-align: start;
    }
    #multi{
        display: grid;
        grid-template-columns: 80% 20%;
        padding: 0px;   
    }
    #multi input{
        max-width: 100%;
    }
    #multi div{
        display: grid;
        grid-template-columns: 49% 49%;
        gap: 2%;
    }
    #unit{
        max-width: 100%;
        display: grid;
        justify-items: center;
    align-items: center;
    }
    .login{
        background-color: rgb(255, 255, 255);
        height: 100%;
        min-height: 100vh;
        width: 100%;
        margin: 0px;
    }
    .login div{
        display: grid;
        justify-items: center;
        gap: 30px;
    }
    .login form{
        display: grid;
        justify-items: center;
    }
    .login form input{
        border: 0px solid transparent;
        border-bottom: 1px solid black;
        margin: 5px 0px;
        width: 100%;
    }
    .login form input[type=submit]{
        border: 1px solid black;
        margin: 20px 0px;
        width: 100%;
        padding: 10px;
        border-radius: 20px;
        transition: 0.4s;
    }
    .login form input[type=submit]:hover{
        background-color: rgb(137, 137, 137);
        color: white;
    }
    .js-msg-Error,.js-msg-Sucess{
        position: relative;
        float: right;
        display: block!Important;
        padding: 5px 15px;
        min-width: 100px;
        min-height: 20px;
        margin: 5px;
        text-shadow: 1px 1px 1px black;
        border-radius: 3px;
        color: white;
    }
    .js-msg-Sucess{
        background-color: rgb(50, 150, 0);
    }
    .js-msg-Error{
        background-color: rgb(255, 60, 0);
    }
    #msgBox{
        position: absolute;
        bottom: 0px;
        right: 0px;
        gap: 5px;
        animation: show 2s;
    }
    @keyframes show {
        0%{right: -200px;}
        100%{right: 0px;}
    }
    .navPage{
        display: grid;
        grid-template-columns: 30% 40% 30%;
    }
    .navPage div.nextPage{
        text-align: end;
    }
    .navPage a{
        cursor: pointer;
        color: black;
        border-bottom: 1px solid transparent;
        transition: 1s;
    }
    .navPage a:hover{
        border-bottom: 1px solid black;
    }
    .navPage p{
        text-align: center;
    }
    .disabled{
        cursor: not-allowed;
        color: red;

    }
    @keyframes loading {
        0%{transform: rotateZ(0deg);font-size: 2px;font-weight: 900;}
        100%{transform: rotateZ(360deg);font-size: 30px;font-weight: 100;}
    }
    @media screen and (max-width: 630px) {
        .categorie {
            display: grid;
            grid-template-columns: 33.33% 33.33% 33.33%;
        }
        .categorie button{
            padding: 20px 0px;

        }
        #mobile{
            display: none;
        }
        #mobileText{
            display: initial;
        }
        #mobileNeeded{
            display: block;
            grid-area: mobileNeeded;
            
        }
        .selectDetails{
            grid-template-columns: 100%;
        }
        .main{
            padding: 0px;
        }
        .mainFast{
            min-width: 0px;
            max-width: 100%;
            padding: 0px;
        }
        .img:target{
            transition: 0.2s;
            filter: brightness(0);
        }
        .carDetails{
            overflow: scroll;

        }
        .cars{
            min-width: 90%;
        }
        .carContent:hover{
            background-color: white;
            box-shadow:  none;
            border-radius: 0px;
        }
        .mainContent{
            grid-template-columns: none;
        }
        .status p{
            height: 100%;
            font-size: 18px;
        }
        .Filterprice{
            max-width: 100%;
        }
        .img img{
            width: 100%;
            height: 100%;
            max-width: 100%;
        }
        .img{
            width: 100%;
        }
        .carContent {  
            background-color: white;
            /* box-shadow: 1px 5px 30px black; */
            padding: 0px;
            display: grid;
            max-height: 80vh;
            gap: 10px;
            grid-auto-flow: row;
            grid-template-areas:
            "img img img"
            "headline headline headline "
            "details details details"
            "mobileNeeded mobileNeeded mobileNeeded";
            width: 100%;
        }
        /* body,html{
            padding: 0px;
        } */
        /* .mainFast{

            margin: 10px;
        }
        .main{
            display: block;
        } */
    }
    @media screen and (max-width: 370px) {
        .categorie {
            display: grid;
            grid-template-columns: 50% 50%;
        }
    }